#! /bin/sh

: '@(#)xkill.sh	7.1'

flags=
id=+

while :
do
	case $1 in
		--)		shift ; break ;;
		-display)	shift
				case $# in
					0)	set x ; break ;;
					*)	flags="$flags -display $1"
						shift ;;
				esac ;;
		-frame)		flags="$flags -frame" ; shift ;;
		-id)		shift
				case $# in
					0)	set x ; break ;;
					*)	id="$1" ; shift ;;
				esac ;;
		*)		break ;;
	esac
done

case $# in
	0)	;;
	*)	O=`basename "$0"`
		echo "$O: usage is $O" \
			"[-display displayname]" \
			"[-id resource]" \
			"[-frame]" \
			"# 7.1" >&2
		exit 1 ;;
esac

exec dox $flags killclient "$id"
